package com.yazilimdersi.info.example.customtoastmessage;

import android.app.Activity;
import android.os.Bundle;
import android.view.Gravity;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TextView;
import android.widget.Toast;

public class MainActivity extends Activity {
	public Button displayCustomToastMessageButton;
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		displayCustomToastMessageButton = (Button) findViewById(R.id.displayCustomToastMessageButton);
		displayCustomToastMessageButton.setOnClickListener(new OnClickListener() {
			
			@Override
			public void onClick(View v) {
				LayoutInflater inflater = getLayoutInflater();

				View layout = inflater.inflate(R.layout.custom_toast,
				  (ViewGroup) findViewById(R.id.mainLinearLayout));

				ImageView image = (ImageView) layout.findViewById(R.id.yazilimdersiImageView);
				image.setImageResource(R.drawable.ic_launcher);

				// gsterilecek mesaj
				TextView text = (TextView) layout.findViewById(R.id.customToastTextView);
				text.setText(getString(R.string.customtoastmesaji));

				// Toast...
				Toast toast = new Toast(getApplicationContext());
				toast.setGravity(Gravity.CENTER_VERTICAL, 0, 150);
				toast.setDuration(Toast.LENGTH_LONG);
				toast.setView(layout);
				toast.show();
			}
		});
		
	}
	
}
